Bug 518679 - libopensync-plugin-synce blocks update of synce-sync-engine
Summary: libopensync-plugin-synce blocks update of synce-sync-engine
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libopensync-plugin-synce
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 519319 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 16:41 UTC by Christian Krause
Modified: 2009-12-18 09:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 09:41:00 UTC
Type: ---


Attachments (Terms of Use)

Description Christian Krause 2009-08-21 16:41:33 UTC
Description of problem:
synce-sync-engine cannot be updated since libopensync-plugin-synce is still compiled against the older version of it

Version-Release number of selected component (if applicable):
yum list synce-sync-engine
Loaded plugins: allowdowngrade, changelog, refresh-packagekit
yyy                                                      | 2.3 kB     00:00     
Installed Packages
synce-sync-engine.noarch                 0.11.1-1.fc10                 installed
Available Packages
synce-sync-engine.i386                   0.14-1.fc10                   updates  

libopensync-plugin-synce-0.11.1-1.fc10.noarch



How reproducible:
100%

Steps to Reproduce:
yum update synce-sync-engine

 
Actual results:
Loaded plugins: allowdowngrade, changelog, refresh-packagekit
yyy                                                      | 2.3 kB     00:00     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: synce-sync-engine = 0.11.1-1.fc10 for package: 1:libopensync-plugin-synce-0.11.1-1.fc10.noarch
---> Package synce-sync-engine.i386 0:0.14-1.fc10 set to be updated
--> Finished Dependency Resolution
1:libopensync-plugin-synce-0.11.1-1.fc10.noarch from installed has depsolving problems
  --> Missing Dependency: synce-sync-engine = 0.11.1-1.fc10 is needed by package 1:libopensync-plugin-synce-0.11.1-1.fc10.noarch (installed)
Error: Missing Dependency: synce-sync-engine = 0.11.1-1.fc10 is needed by package 1:libopensync-plugin-synce-0.11.1-1.fc10.noarch (installed)


Expected results:
update should be possible and libopensync-plugin-synce should be built against the new synce-sync-engine


If the API has not change a simple rebuild should be sufficient.

Comment 1 Andreas Bierfert 2009-08-26 07:53:09 UTC
*** Bug 519319 has been marked as a duplicate of this bug. ***

Comment 2 Fedora Update System 2009-08-26 08:01:31 UTC
synce-sync-engine-0.14-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/synce-sync-engine-0.14-3.fc10

Comment 3 Fedora Update System 2009-08-27 02:09:32 UTC
synce-sync-engine-0.14-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update synce-sync-engine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9019

Comment 4 Christian Krause 2009-08-28 22:05:05 UTC
I'll re-open the bug since it is not completely solved:

--> Running transaction check
--> Processing Dependency: synce-sync-engine = 0.11.1-1.fc10 for package: 1:libopensync-plugin-synce-0.11.1-1.fc10.noarch
---> Package synce-sync-engine.i386 0:0.14-3.fc10 set to be updated
--> Finished Dependency Resolution
1:libopensync-plugin-synce-0.11.1-1.fc10.noarch from installed has depsolving problems
  --> Missing Dependency: synce-sync-engine = 0.11.1-1.fc10 is needed by package 1:libopensync-plugin-synce-0.11.1-1.fc10.noarch (installed)
Error: Missing Dependency: synce-sync-engine = 0.11.1-1.fc10 is needed by package 1:libopensync-plugin-synce-0.11.1-1.fc10.noarch (installed)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

The reason is, that the old name of the plugin was "libopensync-plugin-synce" but the new one is "libopensync-plugin-synce-wm5" and so there is no working update path. This can be fixed by adding a correct "Obsoletes:" tag to the plugin:
"Obsoletes: libopensync-plugin-synce" should do the trick.

Comment 5 Andreas Bierfert 2009-08-30 21:20:50 UTC
This is not correct. There are two different packages libopensync-plugin-synce and libopensync-plugin-synce-wm5. The later is meant for devices with wm5+. The first one does not have a F-10 branch... This is why I initially missed the rebuild. I will see to get this fixed.

Comment 6 Pavel Rosenboim 2009-11-03 07:17:23 UTC
Any chance to get this bug fixed?

Comment 7 Bug Zapper 2009-11-18 12:12:27 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-12-18 09:41:00 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.